from setuptools import setup, find_packages

setup(
    name="pytorch-boot",
    version="0.1",
    packages=find_packages(),
    package_data={
        'PytorchBoot': ['templates/*.py',"ui/server/*.py", "ui/client/*",
                        "ui/client/static/css/*","ui/client/static/fonts/*",
                        "ui/client/static/img/*","ui/client/static/js/*"],
    },
    install_requires=[                 
        'torch',
        'pyyaml',
        'psutil',
        'GPUtil',
        'flask',
        'flask_cors', 
        'tensorboard',
    ],
    entry_points={
        'console_scripts': [
            'pytorch-boot = PytorchBoot.boot:main',
            'ptb = PytorchBoot.boot:main',
        ],
    },
)
